EPM / OBIEE certification general

(in via Ian)

We just had a series of post that talked about certification, and I hope that you liked the breakdown and the pointers that I did there.

Now, one of the issues that we face with certification and supported versions is that we live in a world of ever evolving and changing hard- and software. So while Oracle can test and clarify what versions work together, it might be the case that the same version soon is outdated or superseded by a later patch or product update. (We had a post about how to  read supported update versions earlier)

As Oracle does not know the patchdates, -versions or-contents of all third party products, and as we can not test products that do not exist yet, there usually is a time gap between the release of a patch and Oracle stating that this patch is supported/certified. And for legal reasons Oracle can not and will not announce the support of future versions.

As far as we CAN say anything towards third party patching, we have tried to get a few statements from Product Management.

Ian got a clarification in a  community thread for BI where Gerald wrote:

"We "test" the versions that are available at the time that we release, but we "support" much more than we certify and are documented.
If we test a base version of a 3rd party datasource and the 3rd party vendor releases a Service Pack/Patch/Release Update that addresses a product defect (functionality/security/other), we would not know about the 3rd party patching timeframe but would support the update because we tested the base version as well as cover it under the 'Generic ODBC support' (that we document).
We have tested the configuration, the configuration passed our test, we support higher releases, and service packs.
The Support team will address SR's on those configurations and file bugs where the defect is shown to occur with Oracle BI.
Although we support more than we document, we only document what we tested.
"

I also went out and spoke to Product Management if there was any input they could give us on the topic. Bill pointed me to the second Tab of the supported Platform matrices (EPM) that states:

"Oracle's Backward Compatibility Policy:
Oracle acknowledges and supports the backward compatibility assertions for platform software as provided by its vendor. Therefore when vendors assert backward compatibility, subsequent maintenance releases and service packs may be used. If an incompatibility is identified, Oracle will specify a patch release on which EPM System should be deployed (and remove the incompatible version from the supported matrix) or provide a maintenance release or service fix to the EPM System product software."

This does not only applyto Operating Systems, but all third party products that are used in combination with EPM.

I hope this sheds some light on Oracle policies and what can and can not be said about support of updates and patches. And of course I cannot finish this post without advertising our certification matrices again ; ) , in case you still have a question.



Comments:

Post a Comment:
  • HTML Syntax: NOT allowed
About


This blog talks about the latest news and upcoming events initiated by the EPM/BI Proactive Support Team.

Authors:

italia.nowodworska@oracle.com
paul.anderson@oracle.com





Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
3
5
6
9
12
13
15
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today